<template>
  <div>
    <h1>☕️ {{ counterName }} 🍵</h1>
    <h2>{{ count }}</h2>
    <button v-on:click="incrementCounter(count)">increment</button>
    <button v-on:click="resetCounter(count)">reset</button>
  </div>
</template>

<script>
export default {
  props: {
    counterName: String,
  },
  data: () => ({
    count: 0,
  }),
  methods: {
    incrementCounter() {
      this.count += 1;
    },
    resetCounter() {
      this.count = 0;
    },
  },
};
</script>

<style>
</style>
